<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" href="install.css" type="text/css" /> 
<title>程序安装——FFS</title>
</head>
<body>
<?php
if(empty($_SERVER['HTTP_HOST']))
{
	$url='http://'.$_SERVER['SERVER_NAME'];
	}
else
{
	$url='http://'.$_SERVER['HTTP_HOST'];
	}

?>
<h1 id="logo"><img alt="FFS" src="../images/logo.gif" /></h1> 
<?php
if(!$_GET['step'])
{
?>
<p>欢迎使用 FFS！在您开始使用前，FFS 需要一些数据信息。下列信息将需要填写，请作好准备。</p> 
<ol> 
	<li>数据库名</li> 
	<li>数据库用户用户名</li> 
	<li>数据库用户密码</li> 
	<li>数据库主机</li>  
	<li>网站根目录</li> 
	<li>网站标题</li>
    <li>管理账号</li>
    <li>管理密码</li>  
</ol> 
<p><strong>出于各种原因，自动创建文件可能失败，但本向导只是助您在配置文件中写如数据库信息。此时，您只需用文本编辑器打开 <code>install/*-sample.php</code>，填入您的信息，另存为 <code>data/*.php</code> 即可。</strong></p> 
<p>大多数的互联网主机服务提供商都向您提供了数据库的信息。若您不知道这些信息，您需要先询问好，再进行安装。若您已准备好 &hellip;</p> 
<p>如果您还不清楚这些，请阅读帮助文件 &hellip;</p> 
<p class="step"><a href="setup-config.php?step=1" class="button">现在就开始！</a></p> 
<?php
}
if($_GET['step']=='1')
{
?>
<form method="post" action="setup-config.php?step=2" name="installform" onsubmit="return checkinstall();"> 
	<p>请在下方输入数据库相关信息。若您不清楚，请咨询主机提供商。</p> 
	<table class="form-table"> 
    <tr> 
			<th scope="row"><label for="dbname">数据库名</label></th> 
			<td><input name="dbname" id="dbname" type="text" size="25" value="ffs" /></td> 
			<td>您希望 FFS 使用哪个数据库运行？</td> 
		</tr>
        <tr> 
			<th scope="row"><label for="dbuser">数据库用户用户名</label></th> 
			<td><input name="dbuser" id="dbuser" type="text" size="25" value="root" /></td> 
			<td>您的 MySQL 用户名</td> 
		</tr>
        <tr> 
			<th scope="row"><label for="dbpwd">数据库用户密码</label></th> 
			<td><input name="dbpwd" id="dbpwd" type="text" size="25" value="password" /></td> 
			<td>... 以及 MySQL 密码。</td> 
		</tr>
        <tr> 
			<th scope="row"><label for="dbhost">数据库主机</label></th> 
			<td><input name="dbhost" id="dbhost" type="text" size="25" value="localhost" /></td> 
			<td>通常情况下，应填写 localhost，若测试连接失败，请联系主机提供商咨询。</td> 
		</tr>
	</table> 
		<p class="step"><input name="submit" type="submit" value="提交" class="button" /></p> 
</form> 
<?php
}
elseif($_GET['step']=='2')
{
	$conn=mysql_connect($_POST['dbhost'],$_POST['dbuser'],$_POST['dbpwd']);
	if(!$conn)
	{
?>
	<p> 
<h1>数据库连接错误</h1> 
<p style="font-weight:bold; color:red;"><?php echo mysql_error();?></p>
<p>您在 <code>config_mysql.php</code> 文件中提供的数据库用户名和密码可能不正确，或者无法连接到 <code></code> 上数据库服务器，这意味着您的主机数据库服务器已停止工作。</p> 
<ul> 
	<li>您确认您提供的用户名和密码正确么？</li>
    <li>您确认您提供的用户名权限足够么？</li> 
	<li>您确认您提供的主机名正确么？</li> 
	<li>您确认数据库服务器正常运行么？</li> 
</ul> 
<p>如果您无法确定这些问题，请联系您的主机管理员。</p> 
<p class="step"><a href="setup-config.php?step=1" onclick="javascript:history.go(-1);return false;" class="button">重试</a></p></p>

<?php
		}
		else
		{
			$showdb=mysql_query("show databases;");
			while($rowdb=mysql_fetch_array($showdb))
			{
				$db[]=$rowdb['Database'];
				}
			if (in_array(strtolower($_POST['dbname']), $db))
			{
				$resulta='true';
				}
			else
			{
				$sqla="CREATE DATABASE $_POST[dbname];";
				$resulta=mysql_query($sqla);
				}
			mysql_select_db("$_POST[dbname]",$conn);
			mysql_query("set names utf8",$conn);
			$sqlb="
				   CREATE TABLE IF NOT EXISTS `id` (
				  `id` char(12) NOT NULL COMMENT '文件ID',
				  `pass` varchar(50) NOT NULL COMMENT '文件密码',
				  `pro` enum('0','1') NOT NULL DEFAULT '0' COMMENT '密码保护开关',
				  `po` varchar(50) NOT NULL COMMENT '下载保护密码',
				  `name` varchar(200) CHARACTER SET utf8 NOT NULL COMMENT '文件名',
				  `locked` enum('0','1') NOT NULL COMMENT '是否锁定',
				  PRIMARY KEY (`id`)
				) ENGINE=MyISAM DEFAULT CHARSET=utf8;";
			$sqlc="CREATE TABLE IF NOT EXISTS `info` (
				  `id` char(12) NOT NULL COMMENT '文件ID',
				  `type` varchar(10) NOT NULL COMMENT '文件MIME',
				  `size` int(12) NOT NULL COMMENT '文件字节',
				  `up` int(10) NOT NULL COMMENT '上传时间',
				  `dt` int(10) NOT NULL COMMENT '最后下载',
				  `down` int(10) NOT NULL COMMENT '下载次数',
				  `des` text CHARACTER SET utf8 NOT NULL COMMENT '文件描述',
				  `status` enum('0','1') NOT NULL
				) ENGINE=MyISAM DEFAULT CHARSET=utf8;";
			$sqld="CREATE TABLE IF NOT EXISTS `singlepage` (
				  `id` int(10) NOT NULL COMMENT '文章id',
				  `pagename` varchar(50) CHARACTER SET utf8 NOT NULL COMMENT '文章标题',
				  `content` text CHARACTER SET utf8 NOT NULL COMMENT '文章内容',
				  `pubdate` int(10) NOT NULL COMMENT '发布时间'
				) ENGINE=MyISAM DEFAULT CHARSET=utf8;";
			$sqle="INSERT INTO `singlepage` (`id`, `pagename`, `content`, `pubdate`) VALUES
					(1298903111, '关于我们', '<p>&nbsp;关于我们</p>', 1299047800),
					(1298902603, '用户条款', '<p>&nbsp;用户条款</p>', 1298902603),
					(1298903045, '常见问题', '<p>&nbsp;常见问题</p>', 1298903045);";
			$sqlf="CREATE TABLE IF NOT EXISTS `report` (
					  `id` varchar(12) NOT NULL,
					  `reason` text CHARACTER SET utf8 NOT NULL,
					  `date` int(10) NOT NULL
					) ENGINE=MyISAM DEFAULT CHARSET=utf8;";			
			$resultb=mysql_query($sqlb);
			$resultc=mysql_query($sqlc);
			$resultd=mysql_query($sqld);
			$resulte=mysql_query($sqle);
			$resultf=mysql_query($sqlf);
			if($resulta&&$resultb&&$resultc&&$resultd&&$resulte&&$resultf)
			{
				@ $fpa=fopen("../data/config_mysql.php",'w');
					$contenta='$config[\'dbhost\']=\''.$_POST['dbhost']."';\n".'$config[\'dbname\']=\''.$_POST['dbname']."';\n".'$config[\'dbuser\']=\''.$_POST['dbuser']."';\n".'$config[\'dbpwd\']=\''.$_POST['dbpwd']."';\n";
					fwrite($fpa,"<?php \n//数据库信息 \n");
					fwrite($fpa,$contenta);
					fwrite($fpa,"\n?>");
					fclose($fpa);
				
				
?>
<p>非常好！您已顺利完成安装中的这一步骤，FSS 已经可以和您的数据库沟通。若您准备好了，现在就准备填写如下站点信息</p>
<form method="post" action="install.php" name="installform" onsubmit="return checkinstall();"> 
	<p>请确保网站根目录和install、data文件夹可写或文件属性为(777)可写模式。</p> 
	<table class="form-table"> 
		<tr> 
			<th scope="row"><label for="url">网站根目录</label></th> 
			<td><input name="url" id="url" type="text" size="25" value="http://localhost" /></td> 
			<td>填写程序运行目录，如在子目录运行，请填写。</td> 
		</tr>
        <tr> 
			<th scope="row"><label for="sitename">网站标题</label></th> 
			<td><input name="sitename" id="sitename" type="text" size="25" value="FFS" /></td> 
			<td></td> 
		</tr>
		<tr> 
			<th scope="row"><label for="username">用户名</label></th> 
			<td><input name="username" id="username" type="text" size="25" value="admin" /></td> 
			<td>后台管理账号</td> 
		</tr> 
		<tr> 
			<th scope="row"><label for="password">密码</label></th> 
			<td><input name="password" id="password" type="text" size="25" value="admin" /></td> 
			<td>后台管理密码</td> 
		</tr> 
	</table> 
		<p class="step"><input name="submit" type="submit" value="提交" class="button" /></p> 
</form>
<?php
			}
else
{
?>
	<p> 
<h1>数据库创建错误</h1>
<p style="font-weight:bold; color:red;"><?php echo mysql_error();?></p> 
<p>您在 <code>config_mysql.php</code> 文件中提供的数据库用户名和密码可能不正确，或者无法连接到 <code></code> 上数据库服务器，这意味着您的主机数据库服务器已停止工作。</p> 
<ul> 
	<li>您确认您提供的用户名和密码正确么？</li>
    <li>您确认您提供的用户名权限足够么？</li>  
	<li>您确认您提供的主机名正确么？</li> 
	<li>您确认数据库服务器正常运行么？</li> 
</ul> 
<p>如果您无法确定这些问题，请联系您的主机管理员。</p> 
<p class="step"><a href="setup-config.php?step=1" onclick="javascript:history.go(-1);return false;" class="button">重试</a></p></p>
<?php
				}		
		}
	}
?>
<script type="text/javascript">
function checkinstall(){
	if(document.installform.url.value=='')
	{
		alert("网站根目录不能为空，请填写！");
		document.installform.url.focus();
		return false;
		}
	if(document.installform.sitename.value=='')
	{
		alert("网站根标题不能为空，请填写！");
		document.installform.sitename.focus();
		return false;
		}
	if(document.installform.username.value=='')
	{
		alert("网站管理账号不能为空，请填写！");
		document.installform.username.focus();
		return false;
		}
	if(document.installform.password.value=='')
	{
		alert("网站管理密码不能为空，请填写！");
		document.installform.password.focus();
		return false;
		}
	
	}


</script>

</body>
</html>
